Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.apps.xml
Class XMLBootParserListener

    java.lang.Object
      |
      +--uk.ac.man.bioinf.apps.xml.XMLBootParserListener

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.ErrorHandler

public class XMLBootParserListener
extends Object
implements org.xml.sax.ErrorHandler, org.xml.sax.ContentHandler

XMLBootParserListener.java Created: Tue May 9 22:10:53 2000

Version:
  $Id: XMLBootParserListener.java,v 1.13 2001/05/08 17:46:50 lord Exp $
Author:
  Phillip Lord

Constructor Summary
`XMLBootParserListener(XMLBootModule mod)`

Method Summary
`void` | `characters(char[] ch, int start, int length)`
`void` | `endDocument()`
`void` | `endElement(String nameSpaceUri, String localName, String rawName)`
`void` | `endPrefixMapping(String prefix)`
`void` | `error(org.xml.sax.SAXParseException param1)`
`void` | `fatalError(org.xml.sax.SAXParseException param1)`
`void` | `ignorableWhitespace(char[] cha, int start, int length)`
`void` | `processingInstruction(String target, String data)`
`void` | `setDocumentLocator(org.xml.sax.Locator locator)`
`void` | `skippedEntity(String name)`
`void` | `startDocument()`
`void` | `startElement(String nameSpaceUri, String localName, String rawName, org.xml.sax.Attributes attrib)`
`void` | `startPrefixMapping(String prefix, String uri)`
`void` | `warning(org.xml.sax.SAXParseException param1)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XMLBootParserListener

    public XMLBootParserListener(XMLBootModule mod)

Method Detail

### setDocumentLocator

    public void setDocumentLocator(org.xml.sax.Locator locator)

  Specified by:
    `setDocumentLocator` in interface `org.xml.sax.ContentHandler`

### startDocument

    public void startDocument()

  Specified by:
    `startDocument` in interface `org.xml.sax.ContentHandler`

### endDocument

    public void endDocument()

  Specified by:
    `endDocument` in interface `org.xml.sax.ContentHandler`

### startPrefixMapping

    public void startPrefixMapping(String prefix,
                                   String uri)

  Specified by:
    `startPrefixMapping` in interface `org.xml.sax.ContentHandler`

### endPrefixMapping

    public void endPrefixMapping(String prefix)

  Specified by:
    `endPrefixMapping` in interface `org.xml.sax.ContentHandler`

### startElement

    public void startElement(String nameSpaceUri,
                             String localName,
                             String rawName,
                             org.xml.sax.Attributes attrib)

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`

### endElement

    public void endElement(String nameSpaceUri,
                           String localName,
                           String rawName)
                    throws org.xml.sax.SAXException

  Specified by:
    `endElement` in interface `org.xml.sax.ContentHandler`
    `org.xml.sax.SAXException`

### characters

    public void characters(char[] ch,
                           int start,
                           int length)

  Specified by:
    `characters` in interface `org.xml.sax.ContentHandler`

### ignorableWhitespace

    public void ignorableWhitespace(char[] cha,
                                    int start,
                                    int length)

  Specified by:
    `ignorableWhitespace` in interface `org.xml.sax.ContentHandler`

### processingInstruction

    public void processingInstruction(String target,
                                      String data)

  Specified by:
    `processingInstruction` in interface `org.xml.sax.ContentHandler`

### skippedEntity

    public void skippedEntity(String name)

  Specified by:
    `skippedEntity` in interface `org.xml.sax.ContentHandler`

### error

    public void error(org.xml.sax.SAXParseException param1)
               throws org.xml.sax.SAXException

  Specified by:
    `error` in interface `org.xml.sax.ErrorHandler`
    `org.xml.sax.SAXException`

### fatalError

    public void fatalError(org.xml.sax.SAXParseException param1)
                    throws org.xml.sax.SAXException

  Specified by:
    `fatalError` in interface `org.xml.sax.ErrorHandler`
    `org.xml.sax.SAXException`

### warning

    public void warning(org.xml.sax.SAXParseException param1)
                 throws org.xml.sax.SAXException

  Specified by:
    `warning` in interface `org.xml.sax.ErrorHandler`
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD